<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddCommentRejectedColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('photo_comments', function (Blueprint $table) {
            $table->unsignedInteger('rejected_user_id')->nullable(true);
            $table->dateTime('rejected_at')->nullable(true);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('photo_comments', function (Blueprint $table) {
            $table->dropColumn('rejected_user_id');
            $table->dropColumn('rejected_at');
        });
    }
}
